/* ======== css for web main page ======== */

/* SPACE SIZE (px)
8px 16px 24px 32px 40px 48px 56px 64px 72px 80px 88px 96px 104px 112px 120px 128px */

/* FONT SIZE (px)
 12px 14px 16px 24px 32px 40px 48px 56px 64px 72px 80px 88px 96px 104px 112px 120px 128px  */

/* FONT WEIGHT 
400 500 600 700 */

/* LINE HEIGHT 
1 1.2 1.5 2   */

/* COLORS 
main color   #6461f6
shade main color  #504ec5
second color #fcf800
Gary color: #141331  #5c5c5c
*/

.my-album-section {
  padding: 6.4rem 0;
}

.my-albums {
  display: flex;
  flex-direction: column;
  gap: 3.2rem;

  padding: 0 3.2rem;
}

.my-album {
  list-style: none;

  position: relative;

  border-radius: 2px;

  overflow: hidden;

  box-shadow: 0px 5px 10px rgb(0, 0, 0, 0.2);

  position: relative;

  transition: all 0.5s ease;
}

.my-album::before {
  content: "";
  display: block;
  background-color: rgb(0, 0, 0, 0.1);

  width: 100%;
  height: 100%;

  position: absolute;
  left: 0;
  top: 0;
}

.my-album a:link,
.my-album a:visited {
  text-decoration: none;
}

.my-album img {
  display: block;
  width: 100%;
}

.my-album:hover {
  transform: translateY(-2%);
}

.my-album-name {
  font-size: 4rem;
  color: #fff;
  font-weight: 600;

  width: 100%;

  text-align: center;

  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);

  display: flex;
  flex-direction: column;
  gap: 1.6rem;

  z-index: 77;
}

.my-album-name-zh {
  letter-spacing: 1rem;
}

.my-album-name-en {
  text-transform: uppercase;
  letter-spacing: 1.6rem;
}
